Liquidations
Get Router Stats
Aggregate statistics from the shared liquidation router
GET
Returns global counters from the liquidation router contract: total liquidations received, settled, collateral processed, and USDC proceeds routed.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Aggregate statistics from the shared liquidation router
curl "https://api.trusset.org/lending-stocks/api/liquidations/router-stats" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"totalReceived": "15",
"totalSettled": "12",
"totalCollateralProcessed": "750.000000000000000000",
"totalProceedsRouted": "125000.000000"
}
}
curl "https://api.trusset.org/lending-stocks/api/liquidations/router-stats" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"totalReceived": "15",
"totalSettled": "12",
"totalCollateralProcessed": "750.000000000000000000",
"totalProceedsRouted": "125000.000000"
}
}
curl "https://api.trusset.org/lending-stocks/api/liquidations/router-stats" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"totalReceived": "15",
"totalSettled": "12",
"totalCollateralProcessed": "750.000000000000000000",
"totalProceedsRouted": "125000.000000"
}
}
